<?php

function grafico_entradas_x_fuente_usuario_shortcode_semana()
{
	menu_periodos_estadisticas_fuente_usuario();
	?>
<h3>Entradas por fuente</h3> (Últimos 7 días)
<?php 
	$first=0;
	global $wpdb;
	$date=date('Y-m-d', strtotime('-7 days'));
	$results=get_top_term_by_taxonomy_and_user_categories($date,'fuente',10);
	if($results){?>
	<script>
		jQuery(document).ready(function run_module_graphics($)
		{	
			var grafica_entradas_x_fuente_alerta = function run_module_graphics_4()
			{	
				<?php
			
					//$colors=array('#331400','#662700','#993b00','#ff6200','#e65800','#ff8133','#ffa166','#ffc099','#ffd0b3','#ffe0cc');
					
					$colors=get_color_sequence();
					$color_index=0;
				?>
				var chart3 = new Highcharts.Chart({
					   legend: {
					        align: 'left',
					        verticalAlign: 'top',
					        layout: 'vertical',
					        x: 0,
					        y: 67
					    },
					chart: {
						renderTo: 'graf_source_alert_semana',
						type: 'bar',
						options3d: {
							enabled: true,
							alpha: 45
						}
					},
					exporting: { enabled: false },
					title: {
						text: null
					},
					 yAxis: {
			            min: 0,
			            title: {
			                text: 'Número de entradas',
			                align: 'high'
			            },
			            labels: {
			                overflow: 'justify'
			            },
			            visible:false
			        },
					series: [
			
				<?php	
				foreach ($results as $row){
					if ($first>0){
						echo',';
					}
					$first=$first+1;
				
					echo '{name:\''.$row->name.'\',';
					echo 'data:['.$row->cuenta.'],color: \''.$colors[$color_index].'\'}';
					if($color_index<sizeof($colors)-1){
						$color_index=$color_index+1;
					}else{
						$color_index=0;
					}
				}
					
				?>					
						]
				});						
			}
			grafica_entradas_x_fuente_alerta();
		});
			</script>
		
			
			<div id="grafico_evolucion_tags">
			
			<div id="graf_source_alert_semana">
			
			</div>
		</div>

	<?php
	} else {
		echo '<br><br><i>No hay información de las fuentes asociadas a sus noticias de interés en este periodo.</i>';
	}
}

function grafico_entradas_x_fuente_usuario_shortcode_mes()
{
	menu_periodos_estadisticas_fuente_usuario();
	?>
		<h3>Entradas por fuente</h3>(Últimos 30 días)
<?php 
			$first=0;
				global $wpdb;
				$date=date('Y-m-d', strtotime('-30 days'));
				$results=get_top_term_by_taxonomy_and_user_categories($date,'fuente',10);
				if ($results){
				?>
	<script>
		jQuery(document).ready(function run_module_graphics($)
		{	
			var grafica_entradas_x_fuente_alerta = function run_module_graphics_4()
			{	
				<?php
		
				//$colors=array('#331400','#662700','#993b00','#ff6200','#e65800','#ff8133','#ffa166','#ffc099','#ffd0b3','#ffe0cc');
					
					$colors=get_color_sequence();
					$color_index=0;
				?>
			//	$('#graf_source_alert').css('border','1px solid #999');
				//$('#graf_source_alert').css('box-shadow','2px 2px 10px #999');
				//$('#graficos_modulos_3').css('width','1003px');
				
				var chart3 = new Highcharts.Chart({
					   legend: {
					        align: 'left',
					        verticalAlign: 'top',
					        layout: 'vertical',
					        x: 0,
					        y: 67
					    },
					chart: {
						renderTo: 'graf_source_alert_mes',
						type: 'bar',
						options3d: {
							enabled: true,
							alpha: 45
						}
					},
					exporting: { enabled: false },
					title: {
						text: null
					},
					 yAxis: {
			            min: 0,
			            title: {
			                text: 'Número de entradas',
			                align: 'high'
			            },
			            labels: {
			                overflow: 'justify'
			            }
			        },
					series: [
			
				<?php
	
				
				foreach ($results as $row){
					if ($first>0){
						echo',';
					}
					$first=$first+1;
				
					echo '{name:\''.$row->name.'\',';
					echo 'data:['.$row->cuenta.'],color: \''.$colors[$color_index].'\'}';
					if($color_index<sizeof($colors)-1){
						$color_index=$color_index+1;
					}else{
						$color_index=0;
					}
				}
					
				?>
						

						]
				});						
			}
			grafica_entradas_x_fuente_alerta();
		});
			</script>
		
			
			<div id="grafico_evolucion_tags">
			
			<div id="graf_source_alert_mes">
			
			</div>
		</div>

	<?php
	} else {
		echo '<br><br><i>No hay información de las fuentes asociadas a sus noticias de interés en este periodo.</i>';
	}
}

function grafico_entradas_x_fuente_usuario_shortcode_trimestre()
{
	menu_periodos_estadisticas_fuente_usuario();
	?>
	<h3>Entradas por fuente</h3>(Último Trimestre)
	<?php 
	$first=0;
	global $wpdb;
	$date=date('Y-m-d', strtotime('-90 days'));
	$results=get_top_term_by_taxonomy_and_user_categories($date,'fuente',10);
	if($results){?>
	<script>
		jQuery(document).ready(function run_module_graphics($)
		{	
			var grafica_entradas_x_fuente_alerta = function run_module_graphics_4()
			{	
				<?php
		
					//$colors=array('#331400','#662700','#993b00','#ff6200','#e65800','#ff8133','#ffa166','#ffc099','#ffd0b3','#ffe0cc');
					
					$colors=get_color_sequence();
					$color_index=0;
				?>
			//	$('#graf_source_alert').css('border','1px solid #999');
				//$('#graf_source_alert').css('box-shadow','2px 2px 10px #999');
				//$('#graficos_modulos_3').css('width','1003px');
				
				var chart3 = new Highcharts.Chart({
					   legend: {
					        align: 'left',
					        verticalAlign: 'top',
					        layout: 'vertical',
					        x: 0,
					        y: 67
					    },
					chart: {
						renderTo: 'graf_source_alert_trimestre',
						type: 'bar',
						options3d: {
							enabled: true,
							alpha: 45
						}
					},
					exporting: { enabled: false },
					title: {
						text: null
					},
					 yAxis: {
			            min: 0,
			            title: {
			                text: 'Número de entradas',
			                align: 'high'
			            },
			            labels: {
			                overflow: 'justify'
			            }
			        },
					series: [
			
				<?php
										
				foreach ($results as $row){
					if ($first>0){
						echo',';
					}
					$first=$first+1;
				
					echo '{name:\''.$row->name.'\',';
					echo 'data:['.$row->cuenta.'],color: \''.$colors[$color_index].'\'}';
					if($color_index<sizeof($colors)-1){
						$color_index=$color_index+1;
					}else{
						$color_index=0;
					}
				}
					
				?>
						

						]
				});						
			}
			grafica_entradas_x_fuente_alerta();
		});
			</script>
		
			
			<div id="grafico_evolucion_tags">
			
			<div id="graf_source_alert_trimestre">
			
			</div>
		</div>

	<?php
	} else {
		echo '<br><br><i>No hay información de las fuentes asociadas a sus entradas de interés en este periodo.</i>';
	}
}

function grafico_entradas_x_concepto_seguimiento_semana_shortcode (){
//	menu_periodos_estadisticas_detalle();

	?>
	<br>
	<h3>TOP 10 - Entradas por concepto seguimiento</h3> (Últimos 7 días)
				<?php
						$user_id = get_current_user_id();								
									$categories = wp_get_object_terms($user_id, 'concepto_seguimiento');
					//$colors=array('#41160b','#6d2512','#832c16','#ae3b1e','#da4925','#e16e51','#e58066','#eda492','#f0b6a8',' #f8dbd3');
					$colors= get_color_sequence();
					$color_index=0;
					$myhashmap = array();
					foreach ( $categories as $category ) {
								//		echo 'semana'.$category->slug;
						$args = array(
								'concepto_seguimiento'    => $category->slug,
								'post_type'        => 'post',
								'post_status'      => 'publish',
								'suppress_filters' => true,
								'posts_per_page'=>-1,
								'date_query'	   => array('after' => date('Y-m-d', strtotime('-7 days')))
						);
					
						$post_by_cat = get_posts($args);
						$counter = 0;
						foreach($post_by_cat as $p)
						{
							$counter++;
						}
					
						if ($counter>0){
					
							$texto=str_replace("'","\'",$category->name);
							$myhashmap[$texto] = $counter;
					
						}
					
					}
					$myhashmap_size = count($myhashmap);
					if ($myhashmap_size > 0){
				?>
	<script>
		jQuery(document).ready(function run_module_graphics($)
		{
	var grafica_entradas_x_tags = function run_module_graphics_4(){	

				
				var chart3 = new Highcharts.Chart({
					   legend: {
					        align: 'left',
					        verticalAlign: 'top',
					        layout: 'vertical',
					        x: 0,
					        y: 62
					    },
					chart: {
						renderTo: 'graficos_modulos_sem_seg',
						type: 'bar',
						options3d: {
							enabled: true,
							alpha: 45
						}
					},
					exporting: { enabled: false },
					title: {
						text: null
					},
					 yAxis: {
			            min: 0,
			            title: {
			                text: 'Número de entradas',
			                align: 'high'
			            },
			            labels: {
			                overflow: 'justify'
			            }
			        },
					series: [
			
						<?php
									$first=0;
				
									arsort($myhashmap);
									$max_results=0;
									foreach (array_keys($myhashmap) as $key){
										if($max_results>9){
											break;
										}								
										if ($first>0){
											echo',';
										}
										$first=$first+1;
											echo '{name:\''.$key.'\',';										
											echo 'data:['.$myhashmap[$key].'],color: \''.$colors[$color_index].'\'}';
											if($color_index<sizeof($colors)-1){
												$color_index=$color_index+1;
											}else{
												$color_index=0;
											}
											$max_results=$max_results+1;
									}
									
									?>
						]
				});						
			}
		grafica_entradas_x_tags();
});
	</script>

				<?php } else {
					echo '<br><br><i>No hay entradas para el periodo seleccionado.</i>';
				}
					?>
	<div id="grafico_evolucion_tags">
	
	<div id="graficos_modulos_sem_seg">
	
	</div>
</div>


<?php
}
function grafico_entradas_x_concepto_seguimiento_mes_shortcode (){
	//menu_periodos_estadisticas_detalle();

	?>
	<br>
	<h3>TOP 10 - Entradas por concepto seguimiento</h3>(últimos 30 días)
				<?php
					$user_id = get_current_user_id();								
					$categories = wp_get_object_terms($user_id, 'concepto_seguimiento');
					$colors= get_color_sequence();
					$color_index=0;
					$myhashmap = array();
					foreach ( $categories as $category ) {

						$args = array(
								'concepto_seguimiento'    => $category->slug,
								'post_type'        => 'post',
								'post_status'      => 'publish',
								'suppress_filters' => true,
								'posts_per_page'=>-1,
								'date_query'	   => array('after' => date('Y-m-d', strtotime('-30 days')))
						);
					
						$post_by_cat = get_posts($args);
						$counter = 0;
						foreach($post_by_cat as $p)
						{
							$counter++;
						}
					
						if ($counter>0){
					
							$texto=str_replace("'","\'",$category->name);
							$myhashmap[$texto] = $counter;
					
						}
					
					}
					$myhashmap_size = count($myhashmap);
					if ($myhashmap_size > 0){
				?>
	<script>
		jQuery(document).ready(function run_module_graphics($)
		{
	var grafica_entradas_x_tags = function run_module_graphics_4(){	


				var chart3 = new Highcharts.Chart({
					   legend: {
					        align: 'left',
					        verticalAlign: 'top',
					        layout: 'vertical',
					        x: 0,
					        y: 62
					    },
					chart: {
						renderTo: 'graficos_modulos_mes_seg',
						type: 'bar',
						options3d: {
							enabled: true,
							alpha: 45
						}
					},
					exporting: { enabled: false },
					title: {
						text: null
					},
					 yAxis: {
			            min: 0,
			            title: {
			                text: 'Número de entradas',
			                align: 'high'
			            },
			            labels: {
			                overflow: 'justify'
			            }
			        },
					series: [
			
						<?php
									$first=0;
									
									arsort($myhashmap);
									$max_results=0;
									foreach (array_keys($myhashmap) as $key){
										if($max_results>9){
											break;
										}
									if ($first>0){
											echo',';
										}
										$first=$first+1;
											echo '{name:\''.$key.'\',';										
											echo 'data:['.$myhashmap[$key].'],color: \''.$colors[$color_index].'\'}';
											if($color_index<sizeof($colors)-1){
												$color_index=$color_index+1;
											}else{
												$color_index=0;
											}
											$max_results=$max_results+1;
									}
									
									?>
						]
				});						
			}
		grafica_entradas_x_tags();
});
	</script>
			<?php } else {
					echo '<br><br><i>No hay entradas para el periodo seleccionado.</i>';
				}
					?>
	
	<div id="grafico_evolucion_tags">
	
	<div id="graficos_modulos_mes_seg">
	
	</div>
</div>


<?php
}
function grafico_entradas_x_concepto_seguimiento_trimestre (){
	//menu_periodos_estadisticas_detalle();

	?>
	<br>
	<h3>TOP 10 - Entradas por concepto seguimiento</h3>(último trimestre)
				<?php
					$user_id = get_current_user_id();								
									$categories = wp_get_object_terms($user_id, 'concepto_seguimiento');
					
					//$colors=array('#41160b','#6d2512','#832c16','#ae3b1e','#da4925','#e16e51','#e58066','#eda492','#f0b6a8',' #f8dbd3');
					$colors= get_color_sequence();
					$color_index=0;
					$myhashmap = array();
					foreach ( $categories as $category ) {
						//echo $category->slug;
						$args = array(
								'concepto_seguimiento'    => $category->slug,
								'post_type'        => 'post',
								'post_status'      => 'publish',
								'suppress_filters' => true,
								'posts_per_page'=>-1,
								'date_query'	   => array('after' => date('Y-m-d', strtotime('-90 days')))
						);
					
						$post_by_cat = get_posts($args);
						$counter = 0;
						foreach($post_by_cat as $p)
						{
							$counter++;
						}
					
						if ($counter>0){
					
							$texto=str_replace("'","\'",$category->name);
							$myhashmap[$texto] = $counter;
					
						}
					
					}
					$myhashmap_size = count($myhashmap);
					if ($myhashmap_size > 0){
				?>
	<script>
		jQuery(document).ready(function run_module_graphics($)
		{
	var grafica_entradas_x_tags = function run_module_graphics_4(){	

	
				var chart3 = new Highcharts.Chart({
					   legend: {
					        align: 'left',
					        verticalAlign: 'top',
					        layout: 'vertical',
					        x: 0,
					        y: 62
					    },
					chart: {
						renderTo: 'graficos_modulos_3_trimestre_seg',
						type: 'bar',
						options3d: {
							enabled: true,
							alpha: 45
						}
					},
					exporting: { enabled: false },
					title: {
						text: null
					},
					 yAxis: {
			            min: 0,
			            title: {
			                text: 'Número de entradas',
			                align: 'high'
			            },
			            labels: {
			                overflow: 'justify'
			            }
			        },
					series: [
			
						<?php
									$first=0;
					
									arsort($myhashmap);
									$max_results=0;
									foreach (array_keys($myhashmap) as $key){
										if($max_results>9){
											break;
										}									
										if ($first>0){
											echo',';
										}
										$first=$first+1;
											echo '{name:\''.$key.'\',';										
											echo 'data:['.$myhashmap[$key].'],color: \''.$colors[$color_index].'\'}';
											if($color_index<sizeof($colors)-1){
												$color_index=$color_index+1;
											}else{
												$color_index=0;
											}
											$max_results=$max_results+1;
									}
									
									?>
						]
				});						
			}
		grafica_entradas_x_tags();
});
	</script>
			<?php } else {
					echo '<br><br><i>No hay entradas para el periodo seleccionado.</i>';
				}
					?>
	
	<div id="grafico_evolucion_tags">
	
	<div id="graficos_modulos_3_trimestre_seg">
	
	</div>
</div>
<?php
}
function get_user_categories_3($user_id){
	$user_id = get_current_user_id();
	//echo '-------usuario---'.$user_id;
	$terms = wp_get_object_terms($user_id, 'category');
	$conceptos = array();
	foreach($terms as $term){
		//echo 'conceptos';
		//echo $term->term_id;
		$conceptos[]=$term->term_id;
	}
	//echo implode("",$conceptos);
	return $conceptos;
}
function menu_periodos_estadisticas_fuente_usuario(){
	//genera_array_ultimos_doce_meses();
	
	$html='<div id="menu_periodos_estadisticas"><a <a style="margin-right:5px;" id="myLink_week" href="#" onclick="showLastSevenDaysSources();">últimos 7 días</a>';
	$html=$html.'|<a style="margin-left:5px;margin-right:5px;" id="myLink_month" href="#" onclick="showLastThirtyDaysSources();">último mes</a>';
	$html=$html.'|<a style="margin-left:5px;margin-right:5px;" id="myLink_tri" href="#" onclick="showLastNinetyDaysSources();">último trimestre</a></div>';

	echo $html;

}
function get_top_term_by_taxonomy_and_user_categories($date,$taxonomy,$top){
	global $wpdb;
	$user_categories=get_user_categories_3(0);
	//echo implode(",",$user_categories);

	$query='select term.name,term.term_id,count(distinct posts.ID) as cuenta
from (
	SELECT 
		*
	from wp_posts p
	WHERE 	p.post_date > %s
			AND p.post_type = \'post\'
			AND p.post_status = \'publish\'
) posts 	STRAIGHT_JOIN wp_term_relationships rel_cat_usu
											ON (posts.ID = rel_cat_usu.object_id)
											STRAIGHT_JOIN wp_term_taxonomy tax_cat_usu ON (rel_cat_usu.term_taxonomy_id=tax_cat_usu.term_taxonomy_id)
											STRAIGHT_JOIN wp_terms cat_usu ON (tax_cat_usu.term_id=cat_usu.term_id) ';
	if (sizeof($user_categories)>0){
		$query=$query.'and cat_usu.term_id in('.implode(",",$user_categories).')';
	}else{
		$top=0;
	}


	$query=$query.'STRAIGHT_JOIN wp_term_relationships rel
											ON (posts.ID = rel.object_id)
											STRAIGHT_JOIN wp_term_taxonomy tax ON (rel.term_taxonomy_id=tax.term_taxonomy_id)
											STRAIGHT_JOIN wp_terms term ON (tax.term_id=term.term_id)
											WHERE tax.taxonomy= %s';
	if (strcmp($taxonomy,'category')==0){
		$query=$query.'AND  term.term_id in('.implode(",",$user_categories).') ';
	}

	$query=$query.'GROUP BY term.name
				ORDER BY cuenta DESC
				LIMIT %d';

	try {
		$results=$wpdb->get_results( $wpdb->prepare( $query,$date,$taxonomy,$top));
		//echo $wpdb->last_query;
	} catch (Exception $e) {

	}

	return $results;
}
/****************** entradas por concept_usuario ***/

function grafico_entradas_x_concepto_usuario_semana (){
	menu_periodos_estadisticas_usuario_detalle();

	?>
	<br>
	<h3>TOP 10 - Entradas por concepto</h3> (últimos 7 días)
		<?php
					global $wpdb;
					$colors= get_color_sequence();
					$color_index=0;
					$date= date('Y-m-d', strtotime('-7 days'));
					$taxonomy='category';
					$top=10;
					$results= get_top_term_by_taxonomy_and_user_categories($date,$taxonomy,$top);
						
					if ($wpdb->num_rows>0){
						?>
	<script>
		jQuery(document).ready(function run_module_graphics($)
		{
	var grafica_entradas_x_tags = function run_module_graphics_4(){	

				
				var chart3 = new Highcharts.Chart({
					   legend: {
					        align: 'left',
					        verticalAlign: 'top',
					        layout: 'vertical',
					        x: 0,
					        y: 62
					    },
					chart: {
						renderTo: 'graficos_modulos_sem',
						type: 'bar',
						options3d: {
							enabled: true,
							alpha: 45
						}
					},
					exporting: { enabled: false },
					title: {
						text: null
					},
					 yAxis: {
			            min: 0,
			            title: {
			                text: 'Número de entradas',
			                align: 'high'
			            },
			            labels: {
			                overflow: 'justify'
			            }
			        },
					series: [
			
						<?php
									$first=0;
									foreach ($results as $row){
																	
										if ($first>0){
											echo',';
										}
										$first=$first+1;
										echo '{name:\''.$row->name.'\',';
										echo 'data:['.$row->cuenta.'],color: \''.$colors[$color_index].'\'}';
											if($color_index<sizeof($colors)-1){
												$color_index=$color_index+1;
											}else{
												$color_index=0;
											}
									
									}
									
									?>
						]
				});						
			}
		grafica_entradas_x_tags();
});
	</script>

				<?php } else {
					echo '<br><br><i>No hay entradas para el periodo seleccionado.</i>';
				}
					?>
	<div id="grafico_evolucion_tags">
	
	<div id="graficos_modulos_sem">
	
	</div>
</div>


<?php
}

function grafico_entradas_x_concepto_usuario_mes (){
	menu_periodos_estadisticas_usuario_detalle();

	?>
	<br>
	<h3>TOP 10 - Entradas por concepto</h3>(últimos 30 días)
		<?php
					global $wpdb;
					$colors= get_color_sequence();
					$color_index=0;
					$date= date('Y-m-d', strtotime('-30 days'));
					$taxonomy='category';
					$top=10;
					$results= get_top_term_by_taxonomy_and_user_categories($date,$taxonomy,$top);
						
					if ($wpdb->num_rows>0){
						?>
	<script>
		jQuery(document).ready(function run_module_graphics($)
		{
	var grafica_entradas_x_tags = function run_module_graphics_4(){	


				var chart3 = new Highcharts.Chart({
					   legend: {
					        align: 'left',
					        verticalAlign: 'top',
					        layout: 'vertical',
					        x: 0,
					        y: 62
					    },
					chart: {
						renderTo: 'graficos_modulos_mes',
						type: 'bar',
						options3d: {
							enabled: true,
							alpha: 45
						}
					},
					exporting: { enabled: false },
					title: {
						text: null
					},
					 yAxis: {
			            min: 0,
			            title: {
			                text: 'Número de entradas',
			                align: 'high'
			            },
			            labels: {
			                overflow: 'justify'
			            }
			        },
					series: [
			
						<?php
									$first=0;

						foreach ($results as $row){
																	
										if ($first>0){
											echo',';
										}
										$first=$first+1;
										echo '{name:\''.$row->name.'\',';
										echo 'data:['.$row->cuenta.'],color: \''.$colors[$color_index].'\'}';
											if($color_index<sizeof($colors)-1){
												$color_index=$color_index+1;
											}else{
												$color_index=0;
											}
									
									}
									
									?>
						]
				});						
			}
		grafica_entradas_x_tags();
});
	</script>
			<?php } else {
					echo '<br><br><i>No hay entradas para el periodo seleccionado.</i>';
				}
					?>
	
	<div id="grafico_evolucion_tags">
	
	<div id="graficos_modulos_mes">
	
	</div>
</div>


<?php
}
	
function grafico_entradas_x_concepto_usuario_trimestre (){
	menu_periodos_estadisticas_usuario_detalle();

	?>
	<br>
	<h3>TOP 10 - Entradas por concepto</h3>(último trimestre)
				<?php
					global $wpdb;
					$colors= get_color_sequence();
					$color_index=0;
					$date= date('Y-m-d', strtotime('-90 days'));
					$taxonomy='category';
					$top=10;
					$results= get_top_term_by_taxonomy_and_user_categories($date,$taxonomy,$top);
						
					if ($wpdb->num_rows>0){
						?>
	<script>
		jQuery(document).ready(function run_module_graphics($)
		{
	var grafica_entradas_x_tags = function run_module_graphics_4(){	

	
				var chart3 = new Highcharts.Chart({
					   legend: {
					        align: 'left',
					        verticalAlign: 'top',
					        layout: 'vertical',
					        x: 0,
					        y: 62
					    },
					chart: {
						renderTo: 'graficos_modulos_3_trimestre',
						type: 'bar',
						options3d: {
							enabled: true,
							alpha: 45
						}
					},
					exporting: { enabled: false },
					title: {
						text: null
					},
					 yAxis: {
			            min: 0,
			            title: {
			                text: 'Número de entradas',
			                align: 'high'
			            },
			            labels: {
			                overflow: 'justify'
			            }
			        },
					series: [
			
						<?php
									$first=0;
					
						foreach ($results as $row){
																	
										if ($first>0){
											echo',';
										}
										$first=$first+1;
										echo '{name:\''.$row->name.'\',';
										echo 'data:['.$row->cuenta.'],color: \''.$colors[$color_index].'\'}';
											if($color_index<sizeof($colors)-1){
												$color_index=$color_index+1;
											}else{
												$color_index=0;
											}
									
									}
									
									?>
						]
				});						
			}
		grafica_entradas_x_tags();
});
	</script>
			<?php } else {
					echo '<br><br><i>No hay entradas para el periodo seleccionado.</i>';
				}
					?>
	
	<div id="grafico_evolucion_tags">
	
	<div id="graficos_modulos_3_trimestre">
	
	</div>
</div>
<?php
}



